Skip to content
Start here

Retrieves Security Center Issue Counts by Type

Deprecated
intel.attack_surface_report.issues.type(IssueTypeParams**kwargs) -> IssueTypeResponse
GET/accounts/{account_id}/intel/attack-surface-report/issues/type

Retrieves Security Center issue counts aggregated by issue type.

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
Accepted Permissions (at least one required)
Intel WriteIntel Read
ParametersExpand Collapse
account_id: str

Identifier.

maxLength32
dismissed: Optional[bool]
issue_class: Optional[SequenceNotStr[str]]
issue_class_neq: Optional[SequenceNotStr[str]]
issue_type: Optional[List[IssueType]]
One of the following:
"compliance_violation"
"email_security"
"exposed_infrastructure"
"insecure_configuration"
"weak_authentication"
"configuration_suggestion"
issue_type_neq: Optional[List[IssueType]]
One of the following:
"compliance_violation"
"email_security"
"exposed_infrastructure"
"insecure_configuration"
"weak_authentication"
"configuration_suggestion"
product: Optional[SequenceNotStr[str]]
product_neq: Optional[SequenceNotStr[str]]
severity: Optional[List[SeverityQueryParam]]
One of the following:
"low"
"moderate"
"critical"
severity_neq: Optional[List[SeverityQueryParam]]
One of the following:
"low"
"moderate"
"critical"
subject: Optional[SequenceNotStr[str]]
subject_neq: Optional[SequenceNotStr[str]]
ReturnsExpand Collapse
List[IssueTypeResponseItem]
count: Optional[int]
value: Optional[str]

Retrieves Security Center Issue Counts by Type

import os
from cloudflare import Cloudflare

client = Cloudflare(
    api_token=os.environ.get("CLOUDFLARE_API_TOKEN"),  # This is the default and can be omitted
)
response = client.intel.attack_surface_report.issues.type(
    account_id="023e105f4ecef8ad9ca31a8372d0c353",
)
print(response)
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "success": true,
  "result": [
    {
      "count": 1,
      "value": "value"
    }
  ]
}
Returns Examples
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "success": true,
  "result": [
    {
      "count": 1,
      "value": "value"
    }
  ]
}